# Class AbstractAccessLogValve.DateAndTimeElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.DateAndTimeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected class AbstractAccessLogValve.DateAndTimeElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write date and time, in configurable format (default CLF) - %t or %{format}t.

## Constructor Summary

Constructors
Constructor
Description
`DateAndTimeElement()`
Creates a new date and time element using CLF format.
`DateAndTimeElement(String sdf)`
Creates a new date and time element with the specified format.

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateAndTimeElement

public DateAndTimeElement()
Creates a new date and time element using CLF format.

### DateAndTimeElement

public DateAndTimeElement(String sdf)
Creates a new date and time element with the specified format.

Parameters:
  `sdf` - The SimpleDateFormat pattern or special format identifier

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`